//! # Guess the Rock Paper Scissors Game
//! We get the other player choice and wether to win or lose
//! we replace the game result with our player chose
//! and print the result

use std::fs;
use std::env;

mod rps;

fn main() {
    let args: Vec<String> = env::args().collect();
    let filename = &args[1];
    let contents: String = fs::read_to_string(filename)
        .expect("Something went wrong reading the file");
    rps::guess_game(&contents);
}